| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ascbinistream Class Reference
Basic

reads from a stream that was created in ascbinostream style.
More...

`#include <ascbinstream.h>`

## Public Member Functions
| ascbinistream (const ascbinistream &)=delete
| ascbinistream (od_istream &, bool binary)
| ascbinistream (od_istream *, bool binary)
virtual | ~ascbinistream ()
ascbinistream & | get (char &)
ascbinistream & | get (double &)
ascbinistream & | get (float &)
ascbinistream & | get (od_int16 &)
ascbinistream & | get (od_int32 &)
ascbinistream & | get (od_int64 &)
ascbinistream & | get (od_uint16 &)
ascbinistream & | get (od_uint32 &)
ascbinistream & | get (od_uint64 &)
ascbinistream & | get (unsigned char &)
template<class T , class IT >
ascbinistream & | getArr (T *arr, IT sz)
| Will NOT read the sz! Read sz and allocate first.
template<class T >
ascbinistream & | getBin (T &t)
ascbinistream & | getBin (void *, od_stream_Count nrbytes)
bool | isBad () const
bool | isOK () const
ascbinistream & | operator= (const ascbinistream &)=delete
od_istream & | stream ()

## Protected Attributes
const bool | binary_
od_istream & | strm_
const bool | strmmine_

## Detailed Description

reads from a stream that was created in ascbinostream style.

<>

## Constructor & Destructor Documentation

## ◆ ascbinistream() [1/3]

ascbinistream::ascbinistream | ( | od_istream & | ,
|  | bool | binary )

## ◆ ascbinistream() [2/3]

ascbinistream::ascbinistream | ( | od_istream * | ,
|  | bool | binary )

## ◆ ~ascbinistream()

virtual ascbinistream::~ascbinistream | ( |  | ) |
| virtual

## ◆ ascbinistream() [3/3]

ascbinistream::ascbinistream | ( | const ascbinistream & |  | ) |
| delete

## Member Function Documentation

## ◆ get() [1/10]

ascbinistream & ascbinistream::get | ( | char & |  | ) |

## ◆ get() [2/10]

ascbinistream & ascbinistream::get | ( | double & |  | ) |

## ◆ get() [3/10]

ascbinistream & ascbinistream::get | ( | float & |  | ) |

## ◆ get() [4/10]

ascbinistream & ascbinistream::get | ( | od_int16 & |  | ) |

## ◆ get() [5/10]

ascbinistream & ascbinistream::get | ( | od_int32 & |  | ) |

## ◆ get() [6/10]

ascbinistream & ascbinistream::get | ( | od_int64 & |  | ) |

## ◆ get() [7/10]

ascbinistream & ascbinistream::get | ( | od_uint16 & |  | ) |

## ◆ get() [8/10]

ascbinistream & ascbinistream::get | ( | od_uint32 & |  | ) |

## ◆ get() [9/10]

ascbinistream & ascbinistream::get | ( | od_uint64 & |  | ) |

## ◆ get() [10/10]

ascbinistream & ascbinistream::get | ( | unsigned char & |  | ) |

## ◆ getArr()

template<class T , class IT >

ascbinistream & ascbinistream::getArr | ( | T * | arr,
|  | IT | sz )
| inline

Will NOT read the sz! Read sz and allocate first.

## ◆ getBin() [1/2]

template<class T >

ascbinistream & ascbinistream::getBin | ( | T & | t | ) |
| inline

## ◆ getBin() [2/2]

ascbinistream & ascbinistream::getBin | ( | void * | ,
|  | od_stream_Count | nrbytes )

## ◆ isBad()

bool ascbinistream::isBad | ( |  | ) | const

## ◆ isOK()

bool ascbinistream::isOK | ( |  | ) | const

## ◆ operator=()

ascbinistream & ascbinistream::operator= | ( | const ascbinistream & |  | ) |
| delete

## ◆ stream()

od_istream & ascbinistream::stream | ( |  | ) |
| inline

## Member Data Documentation

## ◆ binary_

const bool ascbinistream::binary_
| protected

## ◆ strm_

od_istream& ascbinistream::strm_
| protected

## ◆ strmmine_

const bool ascbinistream::strmmine_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025